com.google.gwt.dom.client

## Class Style

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Style

-     public class Style
      extends JavaScriptObject

  Provides programmatic access to properties of the style object.

  Note that if a property or value is not explicitly enumerated in this class, you can still access it via `getProperty(String)`, and `setProperty(String, String)`.

  See Also:
    `Element.getStyle()`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Style.BorderStyle` Enum for the border-style property.
    `static class` | `Style.Clear` Enum for the 'clear' CSS property.
    `static class` | `Style.Cursor` Enum for the cursor property.
    `static class` | `Style.Display` Enum for the display property.
    `static class` | `Style.Float` Enum for the float property.
    `static class` | `Style.FontStyle` Enum for the font-style property.
    `static class` | `Style.FontWeight` Enum for the font-weight property.
    `static interface` | `Style.HasCssName` Interface to be implemented by enumerated CSS values.
    `static class` | `Style.ListStyleType` Enum for the list-style-type property.
    `static class` | `Style.OutlineStyle` Enum for the outline-style property.
    `static class` | `Style.Overflow` Enum for the overflow property.
    `static class` | `Style.Position` Enum for the position property.
    `static class` | `Style.TableLayout` Enum for the table-layout property.
    `static class` | `Style.TextAlign` Enum for the text-align property.
    `static class` | `Style.TextDecoration` Enum for the 'text-decoration' CSS property.
    `static class` | `Style.TextJustify` Enum for the 'text-justify' CSS3 property.
    `static class` | `Style.TextOverflow` Enum for the 'text-overflow' CSS3 property.
    `static class` | `Style.TextTransform` Enum for the 'text-transform' CSS property.
    `static class` | `Style.Unit` CSS length units.
    `static class` | `Style.VerticalAlign` Enum for the vertical-align property.
    `static class` | `Style.Visibility` Enum for the visibility property.
    `static class` | `Style.WhiteSpace` Enum for the 'white-space' CSS property.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Style()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearBackgroundColor()` Clear the background-color css property.
    `void` | `clearBackgroundImage()` Clear the background-image css property.
    `void` | `clearBorderColor()` Clear the border-color css property.
    `void` | `clearBorderStyle()` Clears the border-style CSS property.
    `void` | `clearBorderWidth()` Clear the border-width css property.
    `void` | `clearBottom()` Clear the bottom css property.
    `void` | `clearClear()` Clear the 'clear' CSS property.
    `void` | `clearColor()` Clear the color css property.
    `void` | `clearCursor()` Clears the cursor CSS property.
    `void` | `clearDisplay()` Clears the display CSS property.
    `void` | `clearFloat()` Clear the float css property.
    `void` | `clearFontSize()` Clear the font-size css property.
    `void` | `clearFontStyle()` Clears the font-style CSS property.
    `void` | `clearFontWeight()` Clears the font-weight CSS property.
    `void` | `clearHeight()` Clear the height css property.
    `void` | `clearLeft()` Clear the left css property.
    `void` | `clearLineHeight()` Clear the line-height css property.
    `void` | `clearListStyleType()` Clears the list-style-type CSS property.
    `void` | `clearMargin()` Clear the margin css property.
    `void` | `clearMarginBottom()` Clear the margin-bottom css property.
    `void` | `clearMarginLeft()` Clear the margin-left css property.
    `void` | `clearMarginRight()` Clear the margin-right css property.
    `void` | `clearMarginTop()` Clear the margin-top css property.
    `void` | `clearOpacity()` Clear the opacity css property.
    `void` | `clearOutlineColor()` Clear the outline-color css property.
    `void` | `clearOutlineStyle()` Clears the outline-style CSS property.
    `void` | `clearOutlineWidth()` Clear the outline-width css property.
    `void` | `clearOverflow()` Clears the overflow CSS property.
    `void` | `clearOverflowX()` Clears the overflow-x CSS property.
    `void` | `clearOverflowY()` Clears the overflow-y CSS property.
    `void` | `clearPadding()` Clear the padding css property.
    `void` | `clearPaddingBottom()` Clear the padding-bottom css property.
    `void` | `clearPaddingLeft()` Clear the padding-left css property.
    `void` | `clearPaddingRight()` Clear the padding-right css property.
    `void` | `clearPaddingTop()` Clear the padding-top css property.
    `void` | `clearPosition()` Clears the position CSS property.
    `void` | `clearProperty(java.lang.String name)` Clears the value of a named property, causing it to revert to its default.
    `void` | `clearRight()` Clear the right css property.
    `void` | `clearTableLayout()` Clear the table-layout css property.
    `void` | `clearTextAlign()` Clear the 'text-align' CSS property.
    `void` | `clearTextDecoration()` Clears the text-decoration CSS property.
    `void` | `clearTextIndent()` Clear the 'text-indent' CSS property.
    `void` | `clearTextJustify()` Clear the 'text-justify' CSS3 property.
    `void` | `clearTextOverflow()` Clear the 'text-overflow' CSS3 property.
    `void` | `clearTextTransform()` Clear the 'text-transform' CSS property.
    `void` | `clearTop()` Clear the top css property.
    `void` | `clearVisibility()` Clears the visibility CSS property.
    `void` | `clearWhiteSpace()` Clear the 'white-space' CSS property.
    `void` | `clearWidth()` Clear the width css property.
    `void` | `clearZIndex()` Clear the z-index css property.
    `java.lang.String` | `getBackgroundColor()` Get the background-color css property.
    `java.lang.String` | `getBackgroundImage()` Get the background-image css property.
    `java.lang.String` | `getBorderColor()` Get the border-color css property.
    `java.lang.String` | `getBorderStyle()` Gets the border-style CSS property.
    `java.lang.String` | `getBorderWidth()` Get the border-width css property.
    `java.lang.String` | `getBottom()` Get the bottom css property.
    `java.lang.String` | `getClear()` Get the 'clear' CSS property.
    `java.lang.String` | `getColor()` Get the color css property.
    `java.lang.String` | `getCursor()` Gets the cursor CSS property.
    `java.lang.String` | `getDisplay()` Gets the display CSS property.
    `java.lang.String` | `getFontSize()` Get the font-size css property.
    `java.lang.String` | `getFontStyle()` Gets the font-style CSS property.
    `java.lang.String` | `getFontWeight()` Gets the font-weight CSS property.
    `java.lang.String` | `getHeight()` Get the height css property.
    `java.lang.String` | `getLeft()` Get the left css property.
    `java.lang.String` | `getLineHeight()` Get the line-height css property.
    `java.lang.String` | `getListStyleType()` Gets the list-style-type CSS property.
    `java.lang.String` | `getMargin()` Get the margin css property.
    `java.lang.String` | `getMarginBottom()` Get the margin-bottom css property.
    `java.lang.String` | `getMarginLeft()` Get the margin-left css property.
    `java.lang.String` | `getMarginRight()` Get the margin-right css property.
    `java.lang.String` | `getMarginTop()` Get the margin-top css property.
    `java.lang.String` | `getOpacity()` Get the opacity css property.
    `java.lang.String` | `getOverflow()` Gets the overflow CSS property.
    `java.lang.String` | `getOverflowX()` Gets the overflow-x CSS property.
    `java.lang.String` | `getOverflowY()` Gets the overflow-y CSS property.
    `java.lang.String` | `getPadding()` Get the padding css property.
    `java.lang.String` | `getPaddingBottom()` Get the padding-bottom css property.
    `java.lang.String` | `getPaddingLeft()` Get the padding-left css property.
    `java.lang.String` | `getPaddingRight()` Get the padding-right css property.
    `java.lang.String` | `getPaddingTop()` Get the padding-top css property.
    `java.lang.String` | `getPosition()` Gets the position CSS property.
    `java.lang.String` | `getProperty(java.lang.String name)` Gets the value of a named property.
    `java.lang.String` | `getRight()` Get the right css property.
    `java.lang.String` | `getTableLayout()` Gets the table-layout property.
    `java.lang.String` | `getTextAlign()` Get the 'text-align' CSS property.
    `java.lang.String` | `getTextDecoration()` Gets the text-decoration CSS property.
    `java.lang.String` | `getTextIndent()` Get the 'text-indent' CSS property.
    `java.lang.String` | `getTextJustify()` Get the 'text-justify' CSS3 property.
    `java.lang.String` | `getTextOverflow()` Get the 'text-overflow' CSS3 property.
    `java.lang.String` | `getTextTransform()` Get the 'text-transform' CSS property.
    `java.lang.String` | `getTop()` Get the top css property.
    `java.lang.String` | `getVerticalAlign()` Gets the vertical-align CSS property.
    `java.lang.String` | `getVisibility()` Gets the visibility CSS property.
    `java.lang.String` | `getWhiteSpace()` Get the 'white-space' CSS property.
    `java.lang.String` | `getWidth()` Get the width css property.
    `java.lang.String` | `getZIndex()` Get the z-index css property.
    `void` | `setBackgroundColor(java.lang.String value)` Set the background-color css property.
    `void` | `setBackgroundImage(java.lang.String value)` Set the background-image css property.
    `void` | `setBorderColor(java.lang.String value)` Set the border-color css property.
    `void` | `setBorderStyle(Style.BorderStyle value)` Sets the border-style CSS property.
    `void` | `setBorderWidth(double value, Style.Unit unit)` Set the border-width css property.
    `void` | `setBottom(double value, Style.Unit unit)` Set the bottom css property.
    `void` | `setClear(Style.Clear value)` Sets the 'clear' CSS property.
    `void` | `setColor(java.lang.String value)` Sets the color CSS property.
    `void` | `setCursor(Style.Cursor value)` Sets the cursor CSS property.
    `void` | `setDisplay(Style.Display value)` Sets the display CSS property.
    `void` | `setFloat(Style.Float value)` Set the float css property.
    `void` | `setFontSize(double value, Style.Unit unit)` Set the font-size css property.
    `void` | `setFontStyle(Style.FontStyle value)` Sets the font-style CSS property.
    `void` | `setFontWeight(Style.FontWeight value)` Sets the font-weight CSS property.
    `void` | `setHeight(double value, Style.Unit unit)` Set the height css property.
    `void` | `setLeft(double value, Style.Unit unit)` Set the left css property.
    `void` | `setLineHeight(double value, Style.Unit unit)` Set the line-height css property.
    `void` | `setListStyleType(Style.ListStyleType value)` Sets the list-style-type CSS property.
    `void` | `setMargin(double value, Style.Unit unit)` Set the margin css property.
    `void` | `setMarginBottom(double value, Style.Unit unit)` Set the margin-bottom css property.
    `void` | `setMarginLeft(double value, Style.Unit unit)` Set the margin-left css property.
    `void` | `setMarginRight(double value, Style.Unit unit)` Set the margin-right css property.
    `void` | `setMarginTop(double value, Style.Unit unit)` Set the margin-top css property.
    `void` | `setOpacity(double value)` Set the opacity css property.
    `void` | `setOutlineColor(java.lang.String value)` Set the outline-color css property.
    `void` | `setOutlineStyle(Style.OutlineStyle value)` Sets the outline-style CSS property.
    `void` | `setOutlineWidth(double value, Style.Unit unit)` Set the outline-width css property.
    `void` | `setOverflow(Style.Overflow value)` Sets the overflow CSS property.
    `void` | `setOverflowX(Style.Overflow value)` Sets the overflow-x CSS property.
    `void` | `setOverflowY(Style.Overflow value)` Sets the overflow-y CSS property.
    `void` | `setPadding(double value, Style.Unit unit)` Set the padding css property.
    `void` | `setPaddingBottom(double value, Style.Unit unit)` Set the padding-bottom css property.
    `void` | `setPaddingLeft(double value, Style.Unit unit)` Set the padding-left css property.
    `void` | `setPaddingRight(double value, Style.Unit unit)` Set the padding-right css property.
    `void` | `setPaddingTop(double value, Style.Unit unit)` Set the padding-top css property.
    `void` | `setPosition(Style.Position value)` Sets the position CSS property.
    `void` | `setProperty(java.lang.String name, double value, Style.Unit unit)` Sets the value of a named property in the specified units.
    `void` | `setProperty(java.lang.String name, java.lang.String value)` Sets the value of a named property.
    `void` | `setPropertyPx(java.lang.String name, int value)` Sets the value of a named property, in pixels.
    `void` | `setRight(double value, Style.Unit unit)` Set the right css property.
    `void` | `setTableLayout(Style.TableLayout value)` Set the table-layout CSS property.
    `void` | `setTextAlign(Style.TextAlign value)` Set the 'text-align' CSS property.
    `void` | `setTextDecoration(Style.TextDecoration value)` Sets the text-decoration CSS property.
    `void` | `setTextIndent(double value, Style.Unit unit)` Set the 'text-indent' CSS property.
    `void` | `setTextJustify(Style.TextJustify value)` Set the 'text-justify' CSS3 property.
    `void` | `setTextOverflow(Style.TextOverflow value)` Set the 'text-overflow' CSS3 property.
    `void` | `setTextTransform(Style.TextTransform value)` Set the 'text-transform' CSS property.
    `void` | `setTop(double value, Style.Unit unit)` Set the top css property.
    `void` | `setVerticalAlign(double value, Style.Unit unit)` Sets the vertical-align CSS property.
    `void` | `setVerticalAlign(Style.VerticalAlign value)` Sets the vertical-align CSS property.
    `void` | `setVisibility(Style.Visibility value)` Sets the visibility CSS property.
    `void` | `setWhiteSpace(Style.WhiteSpace value)` Set the 'white-space' CSS property.
    `void` | `setWidth(double value, Style.Unit unit)` Set the width css property.
    `void` | `setZIndex(int value)` Set the z-index css property.

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Style

          protected Style()

  - ### Method Detail

    - #### clearBackgroundColor

          public final void clearBackgroundColor()

      Clear the background-color css property.

    - #### clearBackgroundImage

          public final void clearBackgroundImage()

      Clear the background-image css property.

    - #### clearBorderColor

          public final void clearBorderColor()

      Clear the border-color css property.

    - #### clearBorderStyle

          public final void clearBorderStyle()

      Clears the border-style CSS property.

    - #### clearBorderWidth

          public final void clearBorderWidth()

      Clear the border-width css property.

    - #### clearBottom

          public final void clearBottom()

      Clear the bottom css property.

    - #### clearClear

          public final void clearClear()

      Clear the 'clear' CSS property.

    - #### clearColor

          public final void clearColor()

      Clear the color css property.

    - #### clearCursor

          public final void clearCursor()

      Clears the cursor CSS property.

    - #### clearDisplay

          public final void clearDisplay()

      Clears the display CSS property.

    - #### clearFloat

          public final void clearFloat()

      Clear the float css property.

    - #### clearFontSize

          public final void clearFontSize()

      Clear the font-size css property.

    - #### clearFontStyle

          public final void clearFontStyle()

      Clears the font-style CSS property.

    - #### clearFontWeight

          public final void clearFontWeight()

      Clears the font-weight CSS property.

    - #### clearHeight

          public final void clearHeight()

      Clear the height css property.

    - #### clearLeft

          public final void clearLeft()

      Clear the left css property.

    - #### clearLineHeight

          public final void clearLineHeight()

      Clear the line-height css property.

    - #### clearListStyleType

          public final void clearListStyleType()

      Clears the list-style-type CSS property.

    - #### clearMargin

          public final void clearMargin()

      Clear the margin css property.

    - #### clearMarginBottom

          public final void clearMarginBottom()

      Clear the margin-bottom css property.

    - #### clearMarginLeft

          public final void clearMarginLeft()

      Clear the margin-left css property.

    - #### clearMarginRight

          public final void clearMarginRight()

      Clear the margin-right css property.

    - #### clearMarginTop

          public final void clearMarginTop()

      Clear the margin-top css property.

    - #### clearOpacity

          public final void clearOpacity()

      Clear the opacity css property.

    - #### clearOutlineColor

          public final void clearOutlineColor()

      Clear the outline-color css property.

    - #### clearOutlineStyle

          public final void clearOutlineStyle()

      Clears the outline-style CSS property.

    - #### clearOutlineWidth

          public final void clearOutlineWidth()

      Clear the outline-width css property.

    - #### clearOverflow

          public final void clearOverflow()

      Clears the overflow CSS property.

    - #### clearOverflowX

          public final void clearOverflowX()

      Clears the overflow-x CSS property.

    - #### clearOverflowY

          public final void clearOverflowY()

      Clears the overflow-y CSS property.

    - #### clearPadding

          public final void clearPadding()

      Clear the padding css property.

    - #### clearPaddingBottom

          public final void clearPaddingBottom()

      Clear the padding-bottom css property.

    - #### clearPaddingLeft

          public final void clearPaddingLeft()

      Clear the padding-left css property.

    - #### clearPaddingRight

          public final void clearPaddingRight()

      Clear the padding-right css property.

    - #### clearPaddingTop

          public final void clearPaddingTop()

      Clear the padding-top css property.

    - #### clearPosition

          public final void clearPosition()

      Clears the position CSS property.

    - #### clearProperty

          public final void clearProperty(java.lang.String name)

      Clears the value of a named property, causing it to revert to its default.

    - #### clearRight

          public final void clearRight()

      Clear the right css property.

    - #### clearTableLayout

          public final void clearTableLayout()

      Clear the table-layout css property.

    - #### clearTextAlign

          public final void clearTextAlign()

      Clear the 'text-align' CSS property.

    - #### clearTextDecoration

          public final void clearTextDecoration()

      Clears the text-decoration CSS property.

    - #### clearTextIndent

          public final void clearTextIndent()

      Clear the 'text-indent' CSS property.

    - #### clearTextJustify

          public final void clearTextJustify()

      Clear the 'text-justify' CSS3 property.

    - #### clearTextOverflow

          public final void clearTextOverflow()

      Clear the 'text-overflow' CSS3 property.

    - #### clearTextTransform

          public final void clearTextTransform()

      Clear the 'text-transform' CSS property.

    - #### clearTop

          public final void clearTop()

      Clear the top css property.

    - #### clearVisibility

          public final void clearVisibility()

      Clears the visibility CSS property.

    - #### clearWhiteSpace

          public final void clearWhiteSpace()

      Clear the 'white-space' CSS property.

    - #### clearWidth

          public final void clearWidth()

      Clear the width css property.

    - #### clearZIndex

          public final void clearZIndex()

      Clear the z-index css property.

    - #### getBackgroundColor

          public final java.lang.String getBackgroundColor()

      Get the background-color css property.

    - #### getBackgroundImage

          public final java.lang.String getBackgroundImage()

      Get the background-image css property.

    - #### getBorderColor

          public final java.lang.String getBorderColor()

      Get the border-color css property.

    - #### getBorderStyle

          public final java.lang.String getBorderStyle()

      Gets the border-style CSS property.

    - #### getBorderWidth

          public final java.lang.String getBorderWidth()

      Get the border-width css property.

    - #### getBottom

          public final java.lang.String getBottom()

      Get the bottom css property.

    - #### getClear

          public final java.lang.String getClear()

      Get the 'clear' CSS property.

    - #### getColor

          public final java.lang.String getColor()

      Get the color css property.

    - #### getCursor

          public final java.lang.String getCursor()

      Gets the cursor CSS property.

    - #### getDisplay

          public final java.lang.String getDisplay()

      Gets the display CSS property.

    - #### getFontSize

          public final java.lang.String getFontSize()

      Get the font-size css property.

    - #### getFontStyle

          public final java.lang.String getFontStyle()

      Gets the font-style CSS property.

    - #### getFontWeight

          public final java.lang.String getFontWeight()

      Gets the font-weight CSS property.

    - #### getHeight

          public final java.lang.String getHeight()

      Get the height css property.

    - #### getLeft

          public final java.lang.String getLeft()

      Get the left css property.

    - #### getLineHeight

          public final java.lang.String getLineHeight()

      Get the line-height css property.

    - #### getListStyleType

          public final java.lang.String getListStyleType()

      Gets the list-style-type CSS property.

    - #### getMargin

          public final java.lang.String getMargin()

      Get the margin css property.

    - #### getMarginBottom

          public final java.lang.String getMarginBottom()

      Get the margin-bottom css property.

    - #### getMarginLeft

          public final java.lang.String getMarginLeft()

      Get the margin-left css property.

    - #### getMarginRight

          public final java.lang.String getMarginRight()

      Get the margin-right css property.

    - #### getMarginTop

          public final java.lang.String getMarginTop()

      Get the margin-top css property.

    - #### getOpacity

          public final java.lang.String getOpacity()

      Get the opacity css property.

    - #### getOverflow

          public final java.lang.String getOverflow()

      Gets the overflow CSS property.

    - #### getOverflowX

          public final java.lang.String getOverflowX()

      Gets the overflow-x CSS property.

    - #### getOverflowY

          public final java.lang.String getOverflowY()

      Gets the overflow-y CSS property.

    - #### getPadding

          public final java.lang.String getPadding()

      Get the padding css property.

    - #### getPaddingBottom

          public final java.lang.String getPaddingBottom()

      Get the padding-bottom css property.

    - #### getPaddingLeft

          public final java.lang.String getPaddingLeft()

      Get the padding-left css property.

    - #### getPaddingRight

          public final java.lang.String getPaddingRight()

      Get the padding-right css property.

    - #### getPaddingTop

          public final java.lang.String getPaddingTop()

      Get the padding-top css property.

    - #### getPosition

          public final java.lang.String getPosition()

      Gets the position CSS property.

    - #### getProperty

          public final java.lang.String getProperty(java.lang.String name)

      Gets the value of a named property.

    - #### getRight

          public final java.lang.String getRight()

      Get the right css property.

    - #### getTableLayout

          public final java.lang.String getTableLayout()

      Gets the table-layout property.

    - #### getTextAlign

          public final java.lang.String getTextAlign()

      Get the 'text-align' CSS property.

    - #### getTextDecoration

          public final java.lang.String getTextDecoration()

      Gets the text-decoration CSS property.

    - #### getTextIndent

          public final java.lang.String getTextIndent()

      Get the 'text-indent' CSS property.

    - #### getTextJustify

          public final java.lang.String getTextJustify()

      Get the 'text-justify' CSS3 property.

    - #### getTextOverflow

          public final java.lang.String getTextOverflow()

      Get the 'text-overflow' CSS3 property.

    - #### getTextTransform

          public final java.lang.String getTextTransform()

      Get the 'text-transform' CSS property.

    - #### getTop

          public final java.lang.String getTop()

      Get the top css property.

    - #### getVerticalAlign

          public final java.lang.String getVerticalAlign()

      Gets the vertical-align CSS property.

    - #### getVisibility

          public final java.lang.String getVisibility()

      Gets the visibility CSS property.

    - #### getWhiteSpace

          public final java.lang.String getWhiteSpace()

      Get the 'white-space' CSS property.

    - #### getWidth

          public final java.lang.String getWidth()

      Get the width css property.

    - #### getZIndex

          public final java.lang.String getZIndex()

      Get the z-index css property.

    - #### setBackgroundColor

          public final void setBackgroundColor(java.lang.String value)

      Set the background-color css property.

    - #### setBackgroundImage

          public final void setBackgroundImage(java.lang.String value)

      Set the background-image css property.

    - #### setBorderColor

          public final void setBorderColor(java.lang.String value)

      Set the border-color css property.

    - #### setBorderStyle

          public final void setBorderStyle(Style.BorderStyle value)

      Sets the border-style CSS property.

    - #### setBorderWidth

          public final void setBorderWidth(double value,
                                           Style.Unit unit)

      Set the border-width css property.

    - #### setBottom

          public final void setBottom(double value,
                                      Style.Unit unit)

      Set the bottom css property.

    - #### setClear

          public final void setClear(Style.Clear value)

      Sets the 'clear' CSS property.

    - #### setColor

          public final void setColor(java.lang.String value)

      Sets the color CSS property.

    - #### setCursor

          public final void setCursor(Style.Cursor value)

      Sets the cursor CSS property.

    - #### setDisplay

          public final void setDisplay(Style.Display value)

      Sets the display CSS property.

    - #### setFloat

          public final void setFloat(Style.Float value)

      Set the float css property.

    - #### setFontSize

          public final void setFontSize(double value,
                                        Style.Unit unit)

      Set the font-size css property.

    - #### setFontStyle

          public final void setFontStyle(Style.FontStyle value)

      Sets the font-style CSS property.

    - #### setFontWeight

          public final void setFontWeight(Style.FontWeight value)

      Sets the font-weight CSS property.

    - #### setHeight

          public final void setHeight(double value,
                                      Style.Unit unit)

      Set the height css property.

    - #### setLeft

          public final void setLeft(double value,
                                    Style.Unit unit)

      Set the left css property.

    - #### setLineHeight

          public final void setLineHeight(double value,
                                          Style.Unit unit)

      Set the line-height css property.

    - #### setListStyleType

          public final void setListStyleType(Style.ListStyleType value)

      Sets the list-style-type CSS property.

    - #### setMargin

          public final void setMargin(double value,
                                      Style.Unit unit)

      Set the margin css property.

    - #### setMarginBottom

          public final void setMarginBottom(double value,
                                            Style.Unit unit)

      Set the margin-bottom css property.

    - #### setMarginLeft

          public final void setMarginLeft(double value,
                                          Style.Unit unit)

      Set the margin-left css property.

    - #### setMarginRight

          public final void setMarginRight(double value,
                                           Style.Unit unit)

      Set the margin-right css property.

    - #### setMarginTop

          public final void setMarginTop(double value,
                                         Style.Unit unit)

      Set the margin-top css property.

    - #### setOpacity

          public final void setOpacity(double value)

      Set the opacity css property.

    - #### setOutlineColor

          public final void setOutlineColor(java.lang.String value)

      Set the outline-color css property.

    - #### setOutlineStyle

          public final void setOutlineStyle(Style.OutlineStyle value)

      Sets the outline-style CSS property.

    - #### setOutlineWidth

          public final void setOutlineWidth(double value,
                                            Style.Unit unit)

      Set the outline-width css property.

    - #### setOverflow

          public final void setOverflow(Style.Overflow value)

      Sets the overflow CSS property.

    - #### setOverflowX

          public final void setOverflowX(Style.Overflow value)

      Sets the overflow-x CSS property.

    - #### setOverflowY

          public final void setOverflowY(Style.Overflow value)

      Sets the overflow-y CSS property.

    - #### setPadding

          public final void setPadding(double value,
                                       Style.Unit unit)

      Set the padding css property.

    - #### setPaddingBottom

          public final void setPaddingBottom(double value,
                                             Style.Unit unit)

      Set the padding-bottom css property.

    - #### setPaddingLeft

          public final void setPaddingLeft(double value,
                                           Style.Unit unit)

      Set the padding-left css property.

    - #### setPaddingRight

          public final void setPaddingRight(double value,
                                            Style.Unit unit)

      Set the padding-right css property.

    - #### setPaddingTop

          public final void setPaddingTop(double value,
                                          Style.Unit unit)

      Set the padding-top css property.

    - #### setPosition

          public final void setPosition(Style.Position value)

      Sets the position CSS property.

    - #### setProperty

          public final void setProperty(java.lang.String name,
                                        java.lang.String value)

      Sets the value of a named property.

    - #### setProperty

          public final void setProperty(java.lang.String name,
                                        double value,
                                        Style.Unit unit)

      Sets the value of a named property in the specified units.

    - #### setPropertyPx

          public final void setPropertyPx(java.lang.String name,
                                          int value)

      Sets the value of a named property, in pixels. This is shorthand for `value + "px"`.

    - #### setRight

          public final void setRight(double value,
                                     Style.Unit unit)

      Set the right css property.

    - #### setTableLayout

          public final void setTableLayout(Style.TableLayout value)

      Set the table-layout CSS property.

    - #### setTextAlign

          public final void setTextAlign(Style.TextAlign value)

      Set the 'text-align' CSS property.

    - #### setTextDecoration

          public final void setTextDecoration(Style.TextDecoration value)

      Sets the text-decoration CSS property.

    - #### setTextIndent

          public final void setTextIndent(double value,
                                          Style.Unit unit)

      Set the 'text-indent' CSS property.

    - #### setTextJustify

          public final void setTextJustify(Style.TextJustify value)

      Set the 'text-justify' CSS3 property.

    - #### setTextOverflow

          public final void setTextOverflow(Style.TextOverflow value)

      Set the 'text-overflow' CSS3 property.

    - #### setTextTransform

          public final void setTextTransform(Style.TextTransform value)

      Set the 'text-transform' CSS property.

    - #### setTop

          public final void setTop(double value,
                                   Style.Unit unit)

      Set the top css property.

    - #### setVerticalAlign

          public final void setVerticalAlign(Style.VerticalAlign value)

      Sets the vertical-align CSS property.

    - #### setVerticalAlign

          public final void setVerticalAlign(double value,
                                             Style.Unit unit)

      Sets the vertical-align CSS property.

    - #### setVisibility

          public final void setVisibility(Style.Visibility value)

      Sets the visibility CSS property.

    - #### setWhiteSpace

          public final void setWhiteSpace(Style.WhiteSpace value)

      Set the 'white-space' CSS property.

    - #### setWidth

          public final void setWidth(double value,
                                     Style.Unit unit)

      Set the width css property.

    - #### setZIndex

          public final void setZIndex(int value)

      Set the z-index css property.